Bug 213006 - chinese/ibus-pinyin: Move to github
Summary: chinese/ibus-pinyin: Move to github
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Wen Heping
URL:
Keywords: needs-patch, needs-qa, patch
Depends on:
Blocks:
 
Reported: 2016-09-26 15:21 UTC by Henry Hu
Modified: 2016-12-29 07:20 UTC (History)
1 user (show)

See Also:


Attachments
patch (1.66 KB, patch)
2016-09-26 15:21 UTC, Henry Hu
no flags Details | Diff
updated patch (1.66 KB, patch)
2016-09-27 02:33 UTC, Henry Hu
no flags Details | Diff
poudriere log (72.56 KB, text/plain)
2016-09-27 02:35 UTC, Henry Hu
no flags Details
updated patch (1.93 KB, patch)
2016-12-28 18:59 UTC, Henry Hu
henry.hu.sh: maintainer-approval+
Details | Diff
poudriere log (73.02 KB, text/x-log)
2016-12-28 19:00 UTC, Henry Hu
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Henry Hu 2016-09-26 15:21:52 UTC
Created attachment 175181 [details]
patch

Although Google Code is still available as Google Code Archive, ports based on it are marked as broken. This patch changes the source download site to github, as the project itself is moved there.
The configure script is not provided through the github release, so autoreconf is needed.
Poudriere log attached.
Comment 1 Henry Hu 2016-09-26 15:37:03 UTC
The last poudriere run seems to be corresponding to the old version. Please wait for the new version's result.
Comment 2 Henry Hu 2016-09-27 02:33:53 UTC
Created attachment 175188 [details]
updated patch

last patch fail to add the dependency on libtool
Comment 3 Henry Hu 2016-09-27 02:35:00 UTC
Created attachment 175189 [details]
poudriere log

chinese/pyzy also needs to be moved, which is a dependency of this port. This would be resolved in another PR.
Comment 4 Wen Heping freebsd_committer 2016-09-27 03:11:59 UTC
(In reply to Henry Hu from comment #3)

Or would you have a look of this PR:
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=212735

wen
Comment 5 Henry Hu 2016-09-27 03:38:33 UTC
(In reply to Wen Heping from comment #4)
That one does not work.
* It did not update the distinfo
* The open phrase database cannot be downloaded in this way
* The github repo does not contain configure (which is normal), so autoreconf is needed

I'm still trying to figure out how to deal with the open phrase database. It seems to be only hosted on google code, not github. If we don't want to use google code archive, then we may just drop this database.
Comment 6 VK freebsd_triage 2016-10-14 07:32:41 UTC
Thanks for your contribution, Henry. When you upload a new patch and you think it's ready, please flag it with maintainer-approval(+) under attachment Details, which is preferred over summary hacks like adding "[maintainer]" to it.
Comment 7 Henry Hu 2016-12-28 18:59:59 UTC
Created attachment 178362 [details]
updated patch

updated patch
* Removed MASTER_SITES because USE_GITHUB
* Add direct dependency to glib
Comment 8 Henry Hu 2016-12-28 19:00:56 UTC
Created attachment 178363 [details]
poudriere log
Comment 9 Wen Heping freebsd_committer 2016-12-29 02:23:45 UTC
One of its depends chinese/pyzy is currently marked by BROKEN.
Would you unbreak pyzy first ?

wen
Comment 10 Henry Hu 2016-12-29 03:09:36 UTC
(In reply to Wen Heping from comment #9)
Please check PR 212735, which is depended by this port. My patch to unbreak pyzy was just committed, and that's the reason I worked on this port.
Comment 11 commit-hook freebsd_committer 2016-12-29 06:29:31 UTC
A commit references this bug:

Author: wen
Date: Thu Dec 29 06:28:56 UTC 2016
New revision: 429868
URL: https://svnweb.freebsd.org/changeset/ports/429868

Log:
  - Unbreak by change MASTER_SITES to github

  PR:		213006
  Submitted by:	henry.hu.sh@gmail.com(maintainer)

Changes:
  head/chinese/ibus-pinyin/Makefile
  head/chinese/ibus-pinyin/distinfo